You are not logged in.

Dear visitor, welcome to VDR Portal. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

gromit

Professional

  • "gromit" started this thread

Posts: 559

Location: DUS - Kleines Dorf an einem unbedeutenen Fluß auf einem verschlafenen Planeten in einem ruhigen Seitenarm der Milchstrasse

  • Send private message

1

Sunday, August 14th 2005, 10:35pm

[vdr] [ANNOUNCE] vdr-xine-0.7.5 plugin

From the ML:

Quoted


Hi,

I'm pleased to announce maintenance release 0.7.5:

http://home.vr-web.de/~rnissl/vdr-xine-0.7.5.tgz

Due to the changes in xine's CVS I've released this version earlier than I had planned. As a result, the known
issue concerning the delay in playback when switching to trick speed mode is still not solved, but maybe it has
improved a little bit.

2005-08-14: Version 0.7.5

- Added documentation about gxine's VDR support to MANUAL (thanks to
Darren Salt for supplying the patch).
- Fixed xine-plugin to update audio stream bitrate and decoder.
- Removed singleton enforcement of xine-plugin as it caused problems
with xine's post plugin management (suggested by Darren Salt).
- Added support to select left / right audio channel by audio post
plugin 'vdr_audio'.
- Added audio post plugin support to xine-ui and fbxine which was needed
for the new audio post plugin vdr_audio.
- Renamed video post plugin 'vdr' to 'vdr_video' to match naming scheme,
but it also registered as 'vdr' to maintain compatibility.
- Created audio post plugin 'upmix_mono' to turn a mono stream into a
stereo one with identical data on both sides (requested by Lucian
Muresan).
- Fixed some endianness problems in OSD code (thanks to Carsten
Rietzschel for reporting this issue).
- Fixed some compiler warnings with gcc-4.0.1 and gcc-4.1 (thanks to
Eric OUEDRAOGO for reporting this issue).
- Updated plugin to match interface changes in VDR-1.3.27 (thanks to
C.Y.M for reporting this issue).
- Fixed implementation of cDevice::Clear() which didn't ensure that
really all data (i. e. the data which is just in the FIFO or socket)
get's cleared. This might improve switching to trickspeed mode.
- Updated MANUAL about using vdr_audio post plugin.

For this release I suggest the following xine sources:

http://home.vr-web.de/~rnissl/xine-lib-c…4180000.tar.bz2
http://home.vr-web.de/~rnissl/xine-ui-cv…4180000.tar.bz2

Highly recommended is the following patch:

http://home.vr-web.de/~rnissl/vdr-1.3.28-dvbplayer.patch
http://home.vr-web.de/~rnissl/vdr-1.2.6-dvbplayer3.patch

Enjoy.

Bye.
--
Dipl.-Inform. (FH) Reinhard Nissl
mailto:rnissl@gmx.de

_______________________________________________
vdr mailing list
vdr@linuxtv.org
http://www.linuxtv.org/cgi-bin/mailman/listinfo/vdr


Gruß,
Gromit
Mein Glotz-o-fon-Konservierer im Umbau:
vdr-2.0.2, s2-liplianin Treiber, OpenSuse 12.1, P4P800-E Deluxe, CT-479 + Pentium-M 1.73, FF DVB-C 2.1, Satelco Easywatch DVB-C, OrigenAE X11

I30R6

Professional

Posts: 1,627

Location: Ruhrpott

Occupation: IT Assistent

  • Send private message

2

Sunday, August 14th 2005, 11:01pm

Vielen Dank für die Info :)

wird auf jedenfall morgen einbinden ..

und weiter berichten ...

I30R6









VDR










Hardware : GA-EP35-DS3L, C2Q Q6700 , 3GB DDR2 , Palit GT240, 80GB System & 500GB Video,
Mystique-CaBix C2,TT Budget C-1501,Airstar 2, Fernbedienung X10
Software : gen2vdr, Kernel 3.8.10, vdr 2.0.1
PlugIns : audiorecorder,femon,admin,yacoto..
Ausgabe: softhddevice

This post has been edited 1 times, last edit by "I30R6" (Aug 14th 2005, 11:02pm)


hjt4vdr

Professional

Posts: 1,239

Location: Austria

  • Send private message

3

Sunday, August 14th 2005, 11:07pm

Quoted

Original von I30R6
Vielen Dank für die Info :)

wird auf jedenfall morgen einbinden ..

ich hoffe dass unser Author vom Xine Netzwerk PlugIn aka PeterWeber sein PlugIn auch aktualisiert !!


I30R6

Da e-tobi (c't-VDR) xine-0.7.4-net verveinert hat, bittet ihn den Netzwerk patch zur Verfügung zu stellen. Werde die nächsten Tage (kann jederzeit so weit sein) zum 2. mal Vater, also einige Tage außer Gefecht sein.

lg
Horst

sidux mit VDR-1.6 + xineliboutput
sidux c't-vdr Installscript
sidux auf distrowatch
__________________
VDR-Server: IBM Netvista PIII 800MHz, sidux/Sid Package, DVB: Nexus-s
VDR-Client: Laptop, sidux xineliboutput

Bernie7

Master

Posts: 1,769

Location: Frankfurt a.M.

Occupation: Programmierer, Fotograf

  • Send private message

4

Monday, August 15th 2005, 1:58am

Hallo Horst,

Deiner Frau und Dir alles Gute !

Kümmer Dich um Deine Familie, wir können noch ein paar Tage warten.

Danke für das was Du bisher gemacht hast. Ich bin zwar erst am Anfang alles zu probieren, aber gefällt mir bisher gut.


Grüße Bernd
VDR 1 : Pundit mit LinVDR 0.7
VDR 2 : POV Atom 330-1 Mainboard, MSI TV@nywhere Satellite II, 2 GB RAM, natürlich mit yaVDR.
HD-VDR für Newbies: www.partyfotos.de/vdr

5

Monday, August 15th 2005, 2:57pm

Hallo zusammen,

ein angepaßtes ebuild für gentoo findet sich auf bugs.gentoo.de.

Gruß,
Dieter

berndb

Intermediate

Posts: 415

Location: Frankfurt am Main

  • Send private message

6

Tuesday, August 16th 2005, 12:14pm

Hier dreht sich die Welt schnell:

vdr-1.3.27....3.29

und jetzt ein neues xine-Plugin für die 1.3.28! Superb!!!!

Und nun eine Frage:

Warum wird das Plugin eigentlich immer auf eine cvs-Version von xine abgestimmt?
Die 0.74 läuft bei mir zum Beispiel auch mit der xine-lib 1.1.0.

Bringen die cvs nicht auch die Gefahr, dass man ein instabiles xine hat?
Mystique SaTiX-S2 Sky PCI auf PIII,
Technotrend TT 1600 auf PIII

This post has been edited 1 times, last edit by "berndb" (Aug 16th 2005, 12:14pm)


rnissl

Intermediate

Posts: 554

Location: Kulz / Thanstein

Occupation: Software-Entwickler

  • Send private message

7

Wednesday, August 17th 2005, 9:38pm

Hi,

Quoted

Original von berndb
Warum wird das Plugin eigentlich immer auf eine cvs-Version von xine abgestimmt?
Die 0.74 läuft bei mir zum Beispiel auch mit der xine-lib 1.1.0.

Bringen die cvs nicht auch die Gefahr, dass man ein instabiles xine hat?

Nun, mitunter hast du recht.

Während der Entwicklung bin ich aber an möglichen Bugfixes interessiert und arbeite von daher mit der CVS-Version. Irgendwann versuche ich dann wieder, meine Patches ins CVS integrieren zu lassen. Das war jetzt nach der 0.7.4 der Fall, und die umfassensten Änderungen für die 0.7.5 (Audio Plugin Support für xine-ui und fbxine) sind nun bereits in die xine-lib 1.1.0 eingeflossen.

Bye.
--
Dipl.-Inform. (FH) Reinhard Nissl
mailto:rnissl@gmx.de